<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: index.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: index.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>/**
 * @file src/server/index.js is the root file for the project
 * @author Manoj Singh
 * @see &lt;a href="https://gitlab.com/manoj.singh.16/manoj_ipl_project">Gitlab Repository&lt;/a>
 */

const csv = require("csvtojson");
const bestSuperoverEconomy = require("./bestSuperoverEconomy");

const {
  matchesCSVPath,
  deliveriesCSVPath,
  extraRunsYear,
  economicalBowlerYear,
  outputPath,
  batsman,
  dismissedPlayer,
} = require("./config");
const economicalBowlers = require("./economicalBowlers");
const extraRunsPerTeam = require("./extraRunsPerTeam");
const matchesPerYear = require("./matchesPerYear");
const matchesWonPerTeam = require("./matchesWonPerTeam");
const matchesWonWithToss = require("./matchesWonWithToss");
const playerDismissed = require("./playerDismissed");
const playerOfTheMatch = require("./playerOfTheMatch");
const saveOutput = require("./saveOutput");
const strikeRate = require("./strikeRate");

csv()
  .fromFile(matchesCSVPath)
  .then((matchesData) => {
    const matchesPerYearResult = matchesPerYear(matchesData);
    saveOutput(matchesPerYearResult, "matchesPerYearResult.json", outputPath);

    const matchesWonPerTeamResult = matchesWonPerTeam(matchesData);
    saveOutput(
      matchesWonPerTeamResult,
      "matchesWonPerTeamResult.json",
      outputPath
    );

    const matchesWonWithTossResult = matchesWonWithToss(
      matchesData,
      dismissedPlayer
    );
    saveOutput(
      matchesWonWithTossResult,
      "matchesWonWithTossResult.json",
      outputPath
    );

    const playerOfTheMatchResult = playerOfTheMatch(matchesData);
    saveOutput(
      playerOfTheMatchResult,
      "playerOfTheMatchResult.json",
      outputPath
    );

    csv()
      .fromFile(deliveriesCSVPath)
      .then((deliveriesData) => {
        const extraRunsPerTeamResult = extraRunsPerTeam(
          matchesData,
          deliveriesData,
          extraRunsYear
        );
        saveOutput(
          extraRunsPerTeamResult,
          "extraRunsPerTeamResult.json",
          outputPath
        );

        const economicalBowlersResult = economicalBowlers(
          matchesData,
          deliveriesData,
          economicalBowlerYear
        );
        saveOutput(
          economicalBowlersResult,
          "economicalBowlersResult.json",
          outputPath
        );

        const strikeRateResult = strikeRate(
          matchesData,
          deliveriesData,
          batsman
        );
        saveOutput(strikeRateResult, "strikeRateResult.json", outputPath);

        const playerDismissedResult = playerDismissed(
          deliveriesData,
          dismissedPlayer
        );
        saveOutput(
          playerDismissedResult,
          "playerDismissedResult.json",
          outputPath
        );

        const bestSuperoverEconomyResult = bestSuperoverEconomy(deliveriesData);
        saveOutput(
          bestSuperoverEconomyResult,
          "bestSuperoverEconomyResult.json",
          outputPath
        );
      })
      .catch((error) => console.log(error));
  })
  .catch((error) => console.log(error));
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">IPL Project</a></h2><h3>Modules</h3><ul><li><a href="module-bestSuperoverEconomy.html">bestSuperoverEconomy</a></li><li><a href="module-calcEconomy.html">calcEconomy</a></li><li><a href="module-config.html">config</a></li><li><a href="module-economicalBowlers.html">economicalBowlers</a></li><li><a href="module-extraRunsPerTeam.html">extraRunsPerTeam</a></li><li><a href="module-matchesInGivenYear.html">matchesInGivenYear</a></li><li><a href="module-matchesPerYear.html">matchesPerYear</a></li><li><a href="module-matchesWonPerTeam.html">matchesWonPerTeam</a></li><li><a href="module-matchesWonWithToss.html">matchesWonWithToss</a></li><li><a href="module-playerDismissed.html">playerDismissed</a></li><li><a href="module-playerOfTheMatch.html">playerOfTheMatch</a></li><li><a href="module-saveOutput.html">saveOutput</a></li><li><a href="module-strikeRate.html">strikeRate</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed May 26 2021 15:19:05 GMT+0530 (India Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
